Google: Enough of Internet Explorer 6!

Internet Explorer 6Google made an ultimatum to IE 6 users, Effective March 1, they will no longer support the said web browser in all of their sites including Google Docs.

According to Google, very old browser like the Internet Explorer 6 cannot keep up on new developments on the web today. So, they are suggesting that web users should switch to other web browsers such as Internet Explorer 7.0+, Mozilla Firefox 3.0+, Google chrome 4.0+ or Safari 3.0+.

On their Official Enterprise blog, Google says:

Many other companies have already stopped supporting older browsers like Internet Explorer 6.0 as well as browsers that are not supported by their own manufacturers. We’re also going to begin phasing out our support, starting with Google Docs and Google Sites. As a result you may find that from March 1 key functionality within these products — as well as new Docs and Sites features — won’t work properly in older browsers.

If you are still using IE 6, do yourself a favor and make the switch now.

[image via RIPIE6]